Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DomainManagerPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.DomainManagerPOA
                  |
                  +--org.omg.CORBA.DomainManagerPOATie

All Implemented Interfaces:
  DomainManagerOperations, InvokeHandler

public class DomainManagerPOATie
extends DomainManagerPOA

Interface definition : DomainManager

Author:
  OpenORB Compiler

Constructor Summary
`DomainManagerPOATie(DomainManagerOperations tieObject)` Constructor
`DomainManagerPOATie(DomainManagerOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`DomainManagerOperations` | `_delegate()` Get the delegate
`void` | `_delegate(DomainManagerOperations delegate_)` Set the delegate
`Policy` | `get_domain_policy(int policy_type)` Operation get_domain_policy

Methods inherited from class org.omg.CORBA.DomainManagerPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainManagerPOATie

    public DomainManagerPOATie(DomainManagerOperations tieObject)

  Constructor

### DomainManagerPOATie

    public DomainManagerPOATie(DomainManagerOperations tieObject,
                               POA poa)

  Constructor

Method Detail

### _delegate

    public DomainManagerOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(DomainManagerOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### get_domain_policy

    public Policy get_domain_policy(int policy_type)

  Operation get_domain_policy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD